Canalplan Bug Tracker



Anonymous Login
2019-05-20 03:53 BST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000559Canalplan [All Projects] Server Configurationpublic2019-03-19 22:30
ReporterLaurence 
Assigned Touser17281 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
Product Version9.28Product BuildWordpress plugin 4.10 
Target VersionFixed in Version 
Summary0000559: Uninstall does not appear to cleans data
DescriptionBecause of possible corruption while debugging and installing previous version I tried to uninstall and re-install but this did not clear out the old data.

Favourites were still there and the database was still loaded.
(there is some some apparent corruption in the favourites list)

Here is the database status after an uninstall and re install.

Canalplan Table Status :
      Table 'wpqi_canalplan_options' is present and contains 7 rows
      Table 'wpqi_canalplan_aliases' is present and contains 2258 rows
      Table 'wpqi_canalplan_codes' is present and contains 113593 rows
      Table 'wpqi_canalplan_favourites' is present and contains 3 rows
      Table 'wpqi_canalplan_link' is present and contains 113708 rows
      Table 'wpqi_canalplan_canals' is present and contains 0 rows
      Table 'wpqi_canalplan_routes' is present and contains 2 rows
      Table 'wpqi_canalplan_polylines' is present and contains 852 rows
      Table 'wpqi_canalplan_route_day' is present and contains 39 rows


Canalplan Reference Table Status

CanalPlan data was last updated 23.46 hours ago ( on February 16, 2019 at 11:16 am ).

Table Name Contains (Rows)
Canalplan Aliases 1977
Canalplan Features 281
Canalplan Places 113593
Canalplan Links 113708
Canalplan Waterways 0
Canalplan Polylines 852


Steps To ReproduceInstall canal plan AC WP plugin
Download the data
Create some favourites

Uninstall and reinstall - data is still present
Additional InformationUnable to determine if other strange behaviour is due to some corruption of the data during previous tests.
TagsNo tags attached.
Attach Tags (Separate by ",")
Attached Files

-Relationships
+Relationships

-Notes

~0002187

Stephen Atty (administrator)

It doesn't clear them out - partially because this plugin was built before WP actually supported multi-blog mode natively - so it was coded round WPMU and the triggers for de-activate and de-install didn't always work properly - in a multi-user blog users need to be able to de-activate the plugin but no de-install it as it would remove the shared tables for all users.

Again its something that needs to be picked up and coded.

~0002188

Laurence (reporter)

Ok so I may need a solution to fix a corrupted favourites list.

I’ll post some screen shots of what I am seeing.

~0002189

Stephen Atty (administrator)

Version 4.20 pushed - adds drop table to the uninstall option.

Also added a delete all favourites and delete all routes options to the relevant pages.

Remove a lot of old commented out code.

Also fixed some issues highlighted by adding the new functionality.

~0002192

Stephen Atty (administrator)

New version (4.20) released which should fix this. Also adds delete options and delete all routes.

~0002244

Autoclose (administrator)

Closing automatically, stayed too long in feedback state. Feel free to re-open with additional information if you think the issue is not resolved.
+Notes

-Issue History
Date Modified Username Field Change
2019-02-17 10:46 Laurence New Issue
2019-02-17 12:07 Stephen Atty Note Added: 0002187
2019-02-17 12:07 Stephen Atty Assigned To => user17281
2019-02-17 12:07 Stephen Atty Status new => assigned
2019-02-17 13:42 Laurence Note Added: 0002188
2019-02-17 18:41 Stephen Atty Note Added: 0002189
2019-02-17 21:53 Stephen Atty Status assigned => resolved
2019-02-17 21:53 Stephen Atty Resolution open => fixed
2019-02-17 21:53 Stephen Atty Note Added: 0002192
2019-03-19 22:30 Autoclose Note Added: 0002244
2019-03-19 22:30 Autoclose Status resolved => closed
+Issue History